pydo.signals.get_deletion()

Generated on 16 Oct 2026 from pydo version v0.44.0

Usage

client.signals.get_deletion(deletion_id="01J9ZX0N5Q7M2K3R4S5T6V7W8X")
Returns JSON Raises HttpResponseError

Description

To retrieve the status of a signals data deletion job, send a GET request to /v1/signals/deletions/{deletion_id}.

Parameters

deletion_id string required

A unique identifier for a data deletion job.

Response Example

Show Response Example
{
  "team_id": 12345678,
  "deletion_id": "01J9ZX0N5Q7M2K3R4S5T6V7W8X",
  "type": "agent",
  "agent_id": "01a10d3f-2c09-764f-99f8-458e521627f3",
  "status": "running",
  "error_message": null,
  "created_at": 1791036405,
  "started_at": 1791036410,
  "completed_at": null
}

More Information

See /v1/signals/deletions/{deletion_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.